# Clerk 119

Clerk 119 (`vbnd_OtherworldlyClerk_{1-6}`) is the basic and unfair summonable
store. Initially only a dialog box, when the player gets access to the Trade
House, they can speak with the actual NPC behind the words.

**Variables:**

- `^VBND_MerchantNumber` is a randomly-generated Short stored in a global
  variable representing the player character's membership number in the
  organization.
- `^PCRank` the PC's faction rank in the speaker's faction

## Greeting 0

These greetings are used for notifying the player when the Clerk improves. With
every rank up, the actual NPC is swapped out for a new one, allowing the dialog
checks to make use of the "TalkedToPC" value being 0 again. Every first-time
dialog will either be notification that the player's "credit rating" has
improved (ie., the clerk has more gold for buying items), or that the clerk's
inventory has improved.

There is also a greeting at this level for the first delivery quest.

### TalkedToPC = 0

Congratulations ^PCRank ^VBND_MerchantNumber, due to your continued patronage I
am excited to share that your credit rating with the Otherworldly Trade Caravan
has improved!

### vbnd_OtherworldlyClerk_1 && TalkedToPC = 0

Welcome to the Otherworldly Trade Caravan, ^PCRank ^VBND_MerchantNumber. I am
Clerk 119, and have been assigned to assist you with our basic trade services.
While our initial offering may be limited, you can expand our inventory by
establishing a trade contract with a local merchant. If you have any questions,
they are likely answered within your ledger, but I may be able to offer
additional assistance with some Caravan details.

### vbnd_OtherworldlyClerk_3 && TalkedToPC = 0

Congratulations, ^PCRank ^VBND_MerchantNumber. Your loyalty once again increases
your credit limit with us. As you are now a partner, I have negotiated with the
suppliers of our existing trade contracts to provide higher quality goods. You
can expect to see them arrive and restock according to their initially
established schedule. Some of the old stock is still available, while we
transition to new services. Thank you for your patience as we restock, and for
your continued patronage!

### vbnd_OtherworldlyClerk_6 && TalkedToPC = 0

It is a great honor, ^PCRank ^VBND_MerchantNumber. In recognition of your
loyalty, the Otherworldly Trade Caravan has improved your credit limit to the
maximum allowable through our basic trade services. In addition, I have
negotiated with the suppliers of our existing trade contracts to provide their
highest quality goods. Some of the old stock is still available, while we
transition to new services. Thank you for your patience as we restock, and for
your continued patronage!

### Class = Otherworldly Clerk && VBND_OTC_ClerksFavor1 < 10 && Rank 2+

^PCRank ^VBND_MerchantNumber, would you be interested in assisting me with a
favor?

> This updates the journal with ClerksFavor1 entry 10

## Greeting 1

These are the general greetings, used for all normal greetings that do not
include asking for favors or informing the player of improvements of service.

### Rank 1-2

Welcome ^PCRank ^VBND_MerchantNumber, how may we assist you today?

### Rank 3-5

A pleasure as always, ^PCRank ^VBND_MerchantNumber! How may we assist you today?

### Rank 6-9

It is truly an honor, ^PCRank ^VBND_MerchantNumber. How may I assist you today?

### In-Person - First Time

Yes, I am an actual person. This surprises many, and alarms even a few. Our
professionalism is second-to-none, rest assured. How may I assist you, ^PCRank
^PCName?

### In-Person - Generic

Welcome back, ^PCRank. How may I assist you today?

## Topics

### Clerk

Yes, clerks are the primary means by which our customers interact with the
Caravan, responsible for the day-to-day business in the Trade Houses and through
remote ledgers. We clerks prefer to remain anonymous, referring to each other by
our numbers, so as to keep things professional and impersonal. The Otherworldly
Trade Caravan prides itself on quality interactions, and that begins with us
clerks!

## Favors (Quests)

### Favor - First

#### Favor && Journal ClerksFavor1 10

The Otherworldly Trade Caravan has received a delivery request for the merchant
MERCHANT at MERCHANT_LOCATION. Assisting the Otherworldly Trade Caravan in this
matter will reflect well on your standing.

Choice: "Of course, how can I help out?" 1 "Sorry, I am unable to help out right
now." 2

> choice 1: this updates the journal with clerksfavor1 entry 20

please bring this package to them at your
earliest convenience. you will be paid cash upon delivery, and the otherworldly
trade caravan will recognize your assistance with gratitude.

> choice 2: this updates the journal with clerksfavor1 entry 90

i understand, ^pcrank ^vbnd_merchantnumber. if you change your mind, just let me
know.

#### Favor && Journal ClerksFavor1 20

Do you have an update on the delivery for MERCHANT?

Choice: "The delivery is complete" 3 "I have not completed the delivery yet" 4

> Choice 3: This updates the journal with ClerksFavor1 entry 40

[ Player no longer has package ]

Thank you, ^PCRank ^VBND_MerchantNumber. The Otherworldly Trade Caravan, and
this humble clerk, appreciates your assistance with this matter.

[ Player still has package ]

Pardon me, ^PCRank ^VBND_MerchantNumber, but it appears the package for delivery
is still in your possession. Please notify me once the package has been
delivered to MERCHANT.

> Choice 4: This does not modify the journal entry

Very well, how else may I assist you, ^PCRank ^VBND_MerchantNumber?

#### Favor && Journal ClerksFavor1 90

Have you reconsidered assisting the Otherworldly Trade Caravan with a favor?

Choice: "Yes" 1 "Sorry, I still am unable to assist" 4

### Another Favor - Second (Rank 2)

#### Another Favor && Journal ClerksFavor2 10

Would you be willing to do a another favor for me, ^PCRank ^VBND_MerchantNumber?
Assisting the Otherworldly Trade Caravan in this matter will reflect well on
your standing.

Choice: "Of course, how can I help out?" 1 "Sorry, I am unable to help out right
now." 2

> Choice 1: This updates the journal with ClerksFavor2 entry 20

The Otherworldly Trade Caravan has received a delivery request for the merchant
MERCHANT at MERCHANT_LOCATION. Please bring this package to them at your
earliest convenience. You will be paid cash upon delivery, and the Otherworldly
Trade Caravan will recognize your assistance with gratitude.

> Choice 2: This updates the journal with ClerksFavor2 entry 90

I understand, ^PCRank ^VBND_MerchantNumber. If you change your mind, just let me
know.

#### Another Favor && Journal ClerksFavor2 20

Do you have an update on the delivery for MERCHANT?

Choice: "The delivery is complete" 3 "I have not completed the delivery yet" 4

> Choice 3: This updates the journal with ClerksFavor2 entry 30

[ Player no longer has package ]

Thank you, ^PCRank ^VBND_MerchantNumber. The Otherworldly Trade Caravan, and
this humble clerk, appreciates your assistance with this matter.

[ Player still has package ]

Pardon me, ^PCRank ^VBND_MerchantNumber, but it appears the package for delivery
is still in your possession. Please notify me once the package has been
delivered to MERCHANT.

> Choice 4: This does not modify the journal entry

Very well, how else may I assist you, ^PCRank ^VBND_MerchantNumber?

#### Another Favor && Journal ClerksFavor2 90

Have you reconsidered assisting the Otherworldly Trade Caravan with another
favor?

Choice: "Yes" 5 "Sorry, I still am unable to assist" 6

> Choice 5: This updates the journal with ClerksFavor2 entry 20

The Otherworldly Trade Caravan has received a delivery request for the merchant
MERCHANT at MERCHANT_LOCATION. Please bring this package to them at your
earliest convenience. You will be paid cash upon delivery, and the Otherworldly
Trade Caravan will recognize your assistance with gratitude.

> Choice 6: This does not change the journal entry

Very well, how else may I assist you, ^PCRank ^VBND_MerchantNumber?

### A Third Favor - Third (Rank 2)

#### A Third Favor && Journal ClerksFavor3 10

I have a third favor you can assist with, ^PCRank ^VBND_MerchantNumber?
Assisting the Otherworldly Trade Caravan in this matter will reflect well on
your standing.

Choice: "Of course, how can I help out?" 1 "Sorry, I am unable to help out right
now." 2

> Choice 1: This updates the journal with ClerksFavor3 entry 20

The Otherworldly Trade Caravan has received a delivery request for the merchant
MERCHANT at MERCHANT_LOCATION. Please bring this package to them at your
earliest convenience. You will be paid cash upon delivery, and the Otherworldly
Trade Caravan will recognize your assistance with gratitude.

> Choice 2: This updates the journal with ClerksFavor3 entry 90

I understand, ^PCRank ^VBND_MerchantNumber. If you change your mind, just let me
know.

#### A Third Favor && Journal ClerksFavor3 20

Do you have an update on the delivery for MERCHANT?

Choice: "The delivery is complete" 3 "I have not completed the delivery yet" 4

> Choice 3: This updates the journal with ClerksFavor3 entry 30

[ Player no longer has package ]

Thank you, ^PCRank ^VBND_MerchantNumber. The Otherworldly Trade Caravan, and
this humble clerk, appreciates your assistance with this matter.

[ Player still has package ]

Pardon me, ^PCRank ^VBND_MerchantNumber, but it appears the package for delivery
is still in your possession. Please notify me once the package has been
delivered to MERCHANT.

> Choice 4: This does not modify the journal entry

Very well, how else may I assist you, ^PCRank ^VBND_MerchantNumber?

#### A Third Favor && Journal ClerksFavor3 90

Have you reconsidered assisting the Otherworldly Trade Caravan with another
favor?

Choice: "Yes" 5 "Sorry, I still am unable to assist" 6

> Choice 5: This updates the journal with ClerksFavor3 entry 20

The Otherworldly Trade Caravan has received a delivery request for the merchant
MERCHANT at MERCHANT_LOCATION. Please bring this package to them at your
earliest convenience. You will be paid cash upon delivery, and the Otherworldly
Trade Caravan will recognize your assistance with gratitude.

> Choice 6: This does not change the journal entry

Very well, how else may I assist you, ^PCRank ^VBND_MerchantNumber?

### Favor - Fourth (Rank 4)

### Favor - Fifth (Rank 7)

### Favor - Sixth (Rank 8)

### Favor - Seventh (Rank 9)
